summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-03-27 17:11:06 +0100
committerChristian Grothoff <christian@grothoff.org>2020-03-27 17:11:06 +0100
commit1647237c2e54ad14dc2549def5b394f766cd92cd (patch)
tree6e45e88b550c3137c002dabd816716351cced831
parentf262d8abde4eaa112c7af322a1637730bb0da1f5 (diff)
downloadexchange-1647237c2e54ad14dc2549def5b394f766cd92cd.tar.gz
exchange-1647237c2e54ad14dc2549def5b394f766cd92cd.tar.bz2
exchange-1647237c2e54ad14dc2549def5b394f766cd92cd.zip
fix #6137
-rwxr-xr-xsrc/auditor/test-auditor.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 3a172b794..6a254e010 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -108,6 +108,8 @@ function audit_only () {
# Cleanup to run after the auditor
function post_audit () {
+ taler-exchange-dbinit -g || exit_fail "exchange DB GC failed"
+
kill -TERM `jobs -p` >/dev/null 2>/dev/null || true
echo -n "Waiting for servers to die ..."
wait